# $Revision: 1.66 $, $Date: 2010/01/29 20:45:46 $
#
# Conditional build:
%bcond_without	x	# - without X11 subpackage
%bcond_with	pvm		# - with PVM support
%bcond_with	svga	# - with svgalib support (doesn't work on many platforms)
#
%define		_src_pov_ver	3.6.1

Summary:	Persistence of Vision Ray Tracer
Summary(pl.UTF-8):	Persistence of Vision Ray Tracer
Name:		povray
Version:	3.6.1
Release:	8
Epoch:		1
License:	distributable
Group:		Applications/Graphics
Source0:	http://www.povray.org/ftp/pub/povray/Official/Unix/%{name}-%{_src_pov_ver}.tar.bz2
# Source0-md5:	b5789bb7eeaed0809c5c82d0efda571d
# based on sources from CVS at http://pvmpov.sourceforge.net/
# Source0:	%{name}-%{version}-%{snap}.tar.gz
Patch0:		%{name}-legal.patch
Patch1:		%{name}-64bit.patch
Patch2:		%{name}-X-libs.patch
Patch3:		%{name}-lib64.patch
Patch4:		%{name}-no_svgalib.patch
Patch5:		%{name}-m4.patch
Patch6:		%{name}-png.patch
URL:		http://www.povray.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.4.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
%{?with_pvm:BuildRequires:	pvm-devel >= 3.4.3-24}
%{?with_svga:BuildRequires:	svgalib-devel}
%{?with_x:BuildRequires:	xorg-lib-libX11-devel}
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with pvm}
%define		_pvmarch	%(/usr/bin/pvmgetarch)
%define		_pvmroot	/usr/%{_lib}/pvm3
%endif

%description
The Persistence of Vision(tm) Ray-Tracer creates three-dimensional,
photo-realistic images using a rendering technique called ray-tracing.
It reads in a text file containing information describing the objects
and lighting in a scene and generates an image of that scene from the
view point of a camera also described in the text file. Ray-tracing is
not a fast process by any means, but it produces very high quality
images with realistic reflections, shading, perspective and other
effects.

%description -l pl.UTF-8
Persistence of Vision(tm) Ray-Tracer tworzy trójwymiarowe,
fotorealistyczne obrazy za pomocą techniki renderingu zwanej
ray-tracing. Program pobiera z pliku tekstowego informacje opisujące
obiekty oraz światło przedstawianego świata, a następnie generuje
rysunek z punktu widzenia kamery, która także jest definiowana w w/w
pliku tekstowym. Ray-tracing nie pozwala na szybkie tworzenie obrazów,
ale za to twórca otrzymuje wyskokiej jakości bitmapy z realistycznymi
efektami, tj. odbicia światła, cienie, perspektywa i inne.

%package X11
Summary:	X Window povray executable
Summary(pl.UTF-8):	povray pod X Window
Group:		Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description X11
The Persistence of Vision(tm) Ray-Tracer X Window executable.

%description X11 -l pl.UTF-8
Plik wykonywalny The Persistence of Vision(tm) Ray-Tracer dla X
Window.

%package pvm
Summary:	PVM/Unix povray executable
Summary(pl.UTF-8):	Plik wykonywalny povray dla PVM/Unix
Group:		Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description pvm
The Persistence of Vision(tm) Ray-Tracer PVM/Unix executable.

%description pvm -l pl.UTF-8
Plik wykonywalny The Persistence of Vision(tm) Ray-Tracer dla
PVM/Unix.

%package pvm-X11
Summary:	PVM/xwin povray executable
Summary(pl.UTF-8):	Plik wykonywalny povray dla PVM/xwin
Group:		Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description pvm-X11
The Persistence of Vision(tm) Ray-Tracer PVM/xwin executable.

%description pvm-X11 -l pl.UTF-8
Plik wykonywalny The Persistence of Vision(tm) Ray-Tracer dla
PVM/xwin.

%prep
%setup -q
##%patch1 -p1
##%patch2 -p1
%if "%{_lib}" == "lib64"
##%patch3 -p1
%endif
%if !%{with svga}
##%patch4 -p1
%endif
%patch5 -p1
%patch6 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
COMPILED_BY="PLD/Linux Team";export COMPILED_BY;
%if %{with x} && %{with pvm}
%configure \
	--libdir=%{_datadir} \
	--enable-pvm \
	--with-pvm-arch=%{_pvmarch} \
	--with-pvm-libs=%{_libdir} \
	--x-includes=/usr/X11R6/include \
	--x-libraries=/usr/X11R6/%{_lib}
%{__make}
install unix/povray x-pvmpov
%endif

%if %{with pvm}
%{__make} clean

%configure \
	--libdir=%{_datadir} \
	--enable-pvm \
	--with-pvm-arch=%{_pvmarch} \
	--with-pvm-libs=%{_libdir} \
	--without-x
%{__make}
install unix/povray pvmpov
%endif

%if %{with x}
%configure \
	--libdir=%{_datadir} \
	--x-includes=/usr/X11R6/include \
	--x-libraries=/usr/X11R6/%{_lib}
%{__make}
install unix/povray x-povray
%{__make} clean
%endif

%configure \
	--libdir=%{_datadir} \
	--without-x
%{__make}


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/usr/X11R6/bin}
%if %{with pvm}
install -d $RPM_BUILD_ROOT%{_pvmroot}/bin/%{_pvmarch}
%endif

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with x}
install x-povray $RPM_BUILD_ROOT%{_bindir}
%endif

%if %{with x} && %{with pvm}
install x-pvmpov $RPM_BUILD_ROOT%{_bindir}/x-pvmpov
ln -s %{_bindir}/x-pvmpov $RPM_BUILD_ROOT%{_pvmroot}/bin/%{_pvmarch}/x-pvmpov
%endif

%if %{with pvm}
install pvmpov $RPM_BUILD_ROOT%{_bindir}/pvmpov
ln -s %{_bindir}/pvmpov $RPM_BUILD_ROOT%{_pvmroot}/bin/%{_pvmarch}/pvmpov
%endif

##install povray.ini $RPM_BUILD_ROOT%{_sysconfdir}
##install povray.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* doc/povlegal.doc doc/*.txt doc/html
%attr(755,root,root) %{_bindir}/povray
%{_datadir}/povray*
%{_docdir}/povray*
%{_mandir}/man?/*
%dir %{_sysconfdir}/povray
%dir %{_sysconfdir}/povray/3.6
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/3.6/povray.*
## %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/povray.*

%if %{with x}
%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/x-povray
%endif

%if %{with pvm}
%files pvm
%defattr(644,root,root,755)
%attr(755,root,root) %{_pvmroot}/bin/%{_pvmarch}/pvmpov
%attr(755,root,root) %{_bindir}/pvmpov
%endif

%if %{with pvm} && %{with x}
%files pvm-X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_pvmroot}/bin/%{_pvmarch}/x-pvmpov
%attr(755,root,root) %{_bindir}/x-pvmpov
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: povray.spec,v $
Revision 1.66  2010/01/29 20:45:46  wiget
 - fixed building with libpng 1.4.0

Revision 1.65  2010/01/29 08:23:03  amateja
- release 7

Revision 1.64  2009/07/12 13:28:23  arekm
- release 6

Revision 1.63  2008/07/21 15:58:14  megabajt
- release 5

Revision 1.62  2008/02/07 09:49:44  ankry
- unix -> Unix

Revision 1.61  2007-09-04 13:19:46  baggins
- rel 4

Revision 1.60  2007/02/27 14:47:35  teodor
- added missing dirs

Revision 1.59  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.58  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.57  2007/01/28 12:15:08  arekm
- rel 2; fix epoch in req

Revision 1.56  2007/01/27 21:45:52  arekm
- rel 1

Revision 1.55  2006/11/13 15:01:54  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.54  2006/11/09 20:57:28  glen
- strict internal deps

Revision 1.53  2006/05/07 09:44:18  darekr
- fix %files

Revision 1.52  2006/05/07 01:57:32  glen
- correct changelog and conditional on preambles is uneccessary

Revision 1.51  2006/05/05 22:38:47  cieciwa
- updated to 3.6.1, [added xorg deps]
- release 0.1.

Revision 1.50  2005/12/04 23:17:15  glen
- adapterized (sorted %verify flags)

Revision 1.49  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.48  2005/03/27 12:42:15  adgor
- Added epoch to allow upgrade from 3.50c

Revision 1.47  2005/03/23 09:25:01  cieciwa
- updated to version 3.6.1,
- updated MD5 sum,
- release 0.5,
- small cleaning and fixing.

Revision 1.46  2004/09/25 11:20:54  radek
- cosmetics (spaces -> tabs)

Revision 1.45  2004/01/11 15:16:44  yoshi
- Removed unnecessary br: pvr... ech.

Revision 1.44  2004/01/11 15:14:14  yoshi
- Added missing br: pvm

Revision 1.43  2004/01/09 13:39:58  jajcus
- Release: 3
- with_svga bcond (disabled by default)
- conditional BuildRequires fixed
- -amd64.patch renamed to -64bit.patch and changed so it also, hopefully, fix Alpha build

Revision 1.42  2004/01/08 15:07:06  qboosh
- removed redundant condition

Revision 1.41  2004/01/08 14:58:51  jajcus
- Release: 2
- patch for using proper types on AMD64 (-amd64.patch)
- patch to properly search for X libraries (-X-libs.patch)
- patch to look for pvm in /usr/lib64 (on archs which use it)
- various AMD64 path fixes
- new bconds
- removed evil _libdir redefinition

Revision 1.40  2003/11/11 02:06:30  qboosh
- BR: ac,am

Revision 1.39  2003/08/13 22:52:22  ankry
- description fixes / unification

Revision 1.38  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.37  2003/05/25 06:25:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2003/01/16 09:56:12  wiget
- pvm related fixes

Revision 1.35  2003/01/16 09:49:54  wiget
- use sources from pvmpov.sf.net to build PVM enabled POV-Ray

Revision 1.34  2002/12/02 22:08:38  ankry
- pl Summary/description fixes
- adapterized

Revision 1.33  2002/10/31 13:13:56  wrobell
- todo added

Revision 1.32  2002/10/30 17:32:02  wrobell
- added missing povray.conf configuration file

Revision 1.31  2002/10/30 17:04:52  wrobell
- ver. 3.50c
- do not build with x, when using conditional without x
- md5sum checking added to avoid some headaches and bandwidth

Revision 1.30  2002/10/29 11:19:32  qboosh
- fixed build on 64-bit archs (types patch); release 2

Revision 1.29  2002/10/20 21:35:50  wrobell
- merged DEVEL branch

Revision 1.28.2.3  2002/10/10 08:44:59  misiek
- added config file

Revision 1.28.2.2  2002/10/10 08:22:58  misiek
- updated to 3.50b (builds fine but no pvm support yet)

Revision 1.28.2.1  2002/08/02 08:54:34  wrobell
- start update for version 3.50a

Revision 1.28  2002/03/27 11:11:16  roman
- s/distrituable/distributable in License

Revision 1.27  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.26  2002/02/22 23:29:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/18 16:40:11  gotar
- added/fixed polish %descriptions.

Revision 1.24  2002/01/18 02:14:40  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/11/15 03:07:22  kloczek
- s/Copyright/License/

Revision 1.22  2001/11/12 16:06:58  wiget
- typo

Revision 1.21  2001/11/12 14:41:03  wiget
- release 5

Revision 1.20  2001/11/12 14:40:30  wiget
- merge UNSTABLE branch and final fixes

Revision 1.19.2.8  2001/07/02 01:39:24  agaran
- another thing because im not sure if all archs should have LINUX (in pvm
  doc we have LINUX for ix86, LINUXSPARC for sparc port and so on)

Revision 1.19.2.7  2001/07/02 01:00:04  agaran
- some more fixes around bcond

Revision 1.19.2.6  2001/07/01 17:47:56  agaran
- some more fixes..bcond should now work better (i hope)

Revision 1.19.2.5  2001/06/30 10:45:23  agaran
- BuildReq: s/libpng/libpng-devel/

Revision 1.19.2.4  2001/06/30 10:38:59  agaran
- another fixies around conditionals

Revision 1.19.2.3  2001/06/30 10:19:35  agaran
- some conditionals

Revision 1.19.2.2  2001/06/30 09:58:41  agaran
- still under destruction^wconstruction

Revision 1.19.2.1  2001/06/29 23:28:15  agaran
- trying to add pvm support with another subpackage

Revision 1.19  2001/05/02 21:51:26  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.18  2000/07/28 17:31:46  kloczek
- adapterized.

Revision 1.17  2000/07/28 13:58:26  zagrodzki
- release 4, built against libpng >= 1.0.8

Revision 1.16  2000/06/09 07:23:51  kloczek
- added using %{__make} macro.

Revision 1.15  2000/06/07 04:36:13  kloczek
- spec adapterized.

Revision 1.14  2000/05/15 03:59:46  kloczek
- release 3,
- added missing %defattr() in main,
- spec adapterized.

Revision 1.13  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.11  2000/03/23 06:14:33  kloczek
- missing $RPM_BUILD_ROOT in %install.

Revision 1.10  2000/03/23 06:05:38  kloczek
- fixed double %files.

Revision 1.9  2000/03/23 06:04:44  kloczek
- added missing %description for X11,
- typo in Requires rule for X11.

Revision 1.8  2000/03/23 06:02:29  kloczek
- release 2,
- added X11 subpackage.

Revision 1.7  2000/03/21 14:18:07  kloczek
- added XFree86-devel to BuildRequires,
- removed bashism from %prep and %build (pushd/popd),
- simplifications in prep, %build and %install,
- added missing %attr() for binaries in %files.

Revision 1.6  2000/03/21 13:01:16  misiek
- fixed empty log message

Revision 1.5  2000/03/19 07:21:41  bonkey
- added full Source url.

Revision 1.4  1999/11/02 13:30:20  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.3  1999/10/17 21:34:06  wrobell
- using %{_bindir}, %{_mandir}, %{_datadir}

Revision 1.2  1999/10/09 22:10:24  wrobell
- version number removed from name of patch file

Revision 1.1  1999/10/09 22:08:01  wrobell
- initial release
